/********************************   Postadresse.java   ************************
* Java-Addressmanager - Frontend for managing personal contacts
* Copyright (c) 2002  - Thomas Ruschival t.ruschival@vivid-md.de
*   For  license details read LICENSE
* CVS:
* $Author: ruschi $
* $Date: 2004/09/14 15:33:04 $
* $Revision: 1.2 $ 
*     
*******************************************************************************/

import java.util.*;
import java.sql.*;

public class Postadresse{
 //Eigenschaften
 private int  PKEY;
 private String Anschrift; 
 private String Stadt;
 private String PLZ;
 private String Land;
 private String Komment; 
 
 public boolean Modified = false;
 
 //Construktor
 public Postadresse(String myanschrift, String mystadt, int mypkey, String myland, String mykomment,String myplz){
  this.PKEY   = mypkey; 
  // Felder die  auch Null sein koennen
  this.Komment  = (mykomment == null)   ? "" : mykomment;
  this.Anschrift  = (myanschrift == null) ? "" : myanschrift;
  this.Stadt  = (mystadt == null)  ? "" : mystadt;
  this.Land  = (myland == null)  ? "" : myland;
  this.PLZ   = (myplz  == null)  ? "" : myplz;
 }

/*
|| Methoden zur Kapselung der Daten 
*/
 // Primary Key 
 public int getPKEY(){
  return this.PKEY;
 }
 //  Methode toString() gibt den in der Liste angezeigten Wert zurueck
 public String toString(){
  return getStadt()+ " - " + getAnschrift(); 
 }

/*
|| Get Data
*/
 //  Anschrift  auslesen
 public String getAnschrift(){
  return this.Anschrift;
 }
 //  kommentar auslesen
 public String getKomment(){
  return this.Komment;
 }
 
 //  Land auslesen
 public String getLand(){
  return this.Land;
 }
 // Stadt  auslesen
 public String getStadt(){
  return this.Stadt; 
 }

 //Postleitzahl auslesen
 public String getPLZ(){
  return this.PLZ; 
 }

// Daten setzten
 //  Anschrift  setzen
 public void setAnschrift(String anschrift){
  this.Anschrift = anschrift;
  this.Modified = true;
 }
 //  kommentar setzen
 public void setKomment(String komment){
  this.Komment = komment;
  this.Modified = true;
 }
 
 //  Land setzen
 public void setLand(String land){
  this.Land = land;
  this.Modified = true;
 }
 // Stadt  setzen
 public void setStadt(String stadt){
  this.Stadt = stadt;
		this.Modified = true;
	}

	//Postleitzahl setzen
	public void setPLZ(String plz){
		this.PLZ = plz;	
		this.Modified = true;
	}

}
