/************************************  Preferences  ****************************
* Java-Addressmanager - Frontend for managing personal contacts
* Copyright (c) 2002  - Thomas Ruschival t.ruschival@vivid-md.de
*		 For  license details read LICENSE
* CVS:
* $Author: ruschi $
* $Date: 2004/09/14 15:33:04 $
* $Revision: 1.2 $ 
*				 
*******************************************************************************/

import java.io.*;

public class Preferences implements Serializable {
	/*
	|| Fields
	*/
	private String Separator;
	private String Filename;

	/*
	|| Constructor
	*/
	public Preferences(){
		Filename	= "./data.xml";
		Separator 	= "," ;       
	}  

	/* 
	|| Methods to access data
	*/ 
	
	// Token how to Separate Email addresses for emailclient
	public  String getSeparator(){
		return Separator;
	}

	// Token how to Separate Email addresses for emailclient
	public  String getFilename(){
		return Filename;
	}

	
	/**
 	* Token how to Separate Email addresses for emailclient
	*/
	public void setSeparator(String newval){
		Separator = newval;
	} 
	
	/** 
	 *	Set Filename
	 */
	public void setFilename(String newval){
		Filename = newval;
	}

	/**
	 * Save Preferences to file
	*/
	public void save(String filename){
		try{
			FileOutputStream 	fs 	= new FileOutputStream(filename);
			ObjectOutputStream 	os 	= new ObjectOutputStream(fs);
			os.writeObject(this);
			os.close();
		}
		catch(IOException exc){
			AddMan.win.showErrorMessage("Error saving Preferences [Preferences.savePreferences()] " + exc.getMessage());
		}
	}
}
