<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:template match="/">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="styles.css" />
				<title>Addresses</title>
			</head>
			<body bgcolor="#FFFFFF">

				<xsl:apply-templates/>

			</body>
		</html>
	</xsl:template>
	
				
	<xsl:template match="Userlist">
		<xsl:apply-templates/>
	</xsl:template>
	
	
	<xsl:template match="Person">
	
			<table bgcolor="#ADCEDB" border="0"  width="98%">
				<tr><td>
					<table bgcolor="#C9E2EE" border="0" width="100%" >
						<tr><td class="Fieldname" width="180">Name:		 </td><td class="Fieldata"><xsl:apply-templates select="Name"/>			</td></tr>
						<tr><td class="Fieldname" width="180">Familyname:</td><td class="Fieldata" ><xsl:apply-templates select="Familyname"/>	</td></tr>
						<tr><td class="Fieldname" width="180">Nickname:	 </td><td class="Fieldata" ><xsl:apply-templates select="Nickname"/>	</td></tr>
						<tr><td class="Fieldname" width="180">Birthday:	 </td><td class="Fieldata" ><xsl:apply-templates select="Birthday"/>	</td></tr>
					</table>
				</td></tr>
				<xsl:apply-templates select="Mailaddresses"/>
				<xsl:apply-templates select="Phones"/>
				<xsl:apply-templates select="Emailaddresses"/>
			</table>
		<p/>
		<xsl:text disable-output-escaping="yes"> 
		                  
		
		</xsl:text>
		
	</xsl:template>

	<xsl:template match="Mailaddresses">
		<tr><td>
			<xsl:apply-templates/>
		</td></tr>
	</xsl:template>  
	
	<xsl:template match="Mailaddress">
		<table frame="border" rules="none" bgcolor="#C2C8EE" width="100%">
			<xsl:apply-templates/>
		<tr><td><br/></td></tr>
		</table>	
	</xsl:template> 
	
	<xsl:template match="City">
		<tr><td class="Fieldname" width="180">City:</td><td  class="Fieldata"><xsl:apply-templates/></td></tr>
	</xsl:template>
	
	<xsl:template match="Street">
		<tr><td class="Fieldname" width="180" >Street:</td><td class="Fieldata" ><xsl:apply-templates/></td></tr>
	</xsl:template>
	
	<xsl:template match="Zipcode">
		<tr><td class="Fieldname" width="180">Zip:</td><td  class="Fieldata"><xsl:apply-templates/></td></tr>
	</xsl:template>
	
	<xsl:template match="Mailaddress/Comment">
		<tr><td class="Fieldname" width="180">Comment:</td><td  class="Fieldata"><xsl:apply-templates/></td></tr>
	</xsl:template>
	
	<xsl:template match="Country">
		<tr><td class="Fieldname"  width="180">Country:</td><td class="Fieldata" ><xsl:apply-templates/></td></tr>
	</xsl:template>
	

		
	<xsl:template match="Emailaddresses">
		<tr><td>
			<xsl:apply-templates/>
		</td></tr>
	</xsl:template>
	
	<xsl:template match="Email">
		<table bgcolor="#C1D9EE" border="0" width="100%">  
		<tr>
			<xsl:apply-templates select="Email"/>
			<td class="Fieldata" width="185"><a href="mailto:{Mailto}"><xsl:value-of select="Mailto"/></a></td>
			<td class="Fieldata" ><xsl:apply-templates select="Groups/Group"/></td>
		</tr>
		</table>
	</xsl:template>
	
	<xsl:template match="Phones">
		<tr><td>
				<xsl:apply-templates/>
		</td></tr>
	</xsl:template>
	
	<xsl:template match="Phone">
		<table bgcolor="#C8DFEE" border="0" align="left" width="100%" >
			<tr><xsl:apply-templates select="Phone"/>
				<td class="Fieldata"  width="185"><xsl:apply-templates select="Number" /></td>
				<td class="Fieldata"><xsl:apply-templates select="Comment"/></td>
			</tr>
		</table>
	</xsl:template>
		

</xsl:stylesheet>
