/***********************************    Telefon.java   ****************************
* Java-Addressmanager - Frontend for managing personal contacts
* Copyright (c) 2002  - Thomas Ruschival t.ruschival@vivid-md.de
*		 For  license details read LICENSE
* CVS:
* $Author: ruschi $
* $Date: 2004/09/14 15:33:04 $
* $Revision: 1.2 $ 
*				 
*******************************************************************************/

import java.util.*;
import java.sql.*;

public class Telefon{
	//Eigenschaften
	private int    PKEY;
	private String Nummer; 
	private String Komment;
	private int    TypNr;	

	public boolean Modified = false;
		
	//Construktor
	public Telefon(String mynumber, String mykomment, int mypkey, int typnr){
		this.Nummer  = mynumber;
		this.PKEY	 = mypkey;
		this.TypNr   = typnr;
		this.Komment = (mykomment == null) ? "": mykomment ; 
	}

/*
|| Methoden zur Kapselung der Daten 
*/	
	// Methode toString() gibt den in der Liste angezeigten Wert zurueck
	public String toString(){
		return getNummer();
	}
// Daten holen
	// Primary Key 
	public int getPKEY(){
		return this.PKEY;
	}
	// Telefonnummer  auslesen
	public String getNummer(){
		return this.Nummer;
	}
	// kommentar auslesen
	public String getKomment(){
		return this.Komment;
	}
	// Typ  auslesen
	public int getTyp(){
		return this.TypNr;
	}
//Daten setzen 
	// Telefonnummer  setzen
	public void setNummer(String nummer){
		this.Nummer = nummer;
		this.Modified = true;
	}
	// kommentar setzen
	public void setKomment(String komment){
		this.Komment = komment;
		this.Modified = true;	
	}
	// Typ setzen
	public void setTyp(int typ){
		this.TypNr = typ;
		this.Modified = true;
	}

}
